Bug 61201 - Crash when copying a special =OFFSET() to a new spreadsheet
Summary: Crash when copying a special =OFFSET() to a new spreadsheet
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.2.0 target:4.1.1 target:4.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 02:50 UTC by mahfiaz
Modified: 2013-11-19 00:02 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Spreadsheet which exposes the problem (10.60 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-21 02:50 UTC, mahfiaz
Details
Backtrace (377.98 KB, text/plain)
2013-02-21 02:51 UTC, mahfiaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mahfiaz 2013-02-21 02:50:38 UTC
Created attachment 75222 [details]
Spreadsheet which exposes the problem

Here it is how to reproduce the crash:
1) Open attached bug5.ods file
2) Go to sheet B
3) Select cell A1
4) Ctrl+C
5) Open a new spreadsheet
6) Select cell A1
6) Ctrl+V
Boom!

This cell contains =OFFSET($A.A1;1;0;1;1)
It is important, that the reference (first argument) is to locked sheet (locked with $ character),
also if we don't go exactly one cell down (argument 2), the crash won't happen, pretty narrow :)
Even more, if you don't paste to the very first cell, it won't happen (although the area is much wider if your reference is to column Z).

I use up to date Ubuntu 12.10
If there is anything else, which could help, then please let me know.
Comment 1 mahfiaz 2013-02-21 02:51:36 UTC
Created attachment 75223 [details]
Backtrace
Comment 2 Thomas van der Meulen 2013-02-21 11:17:46 UTC
thank you for reporting this bug,
I can reproduce this bug running LibreOffice 4.0.1.1 rc on Mac osx 10.6.8.
Comment 3 Kohei Yoshida 2013-07-27 20:29:24 UTC
I'll take it.
Comment 4 Kohei Yoshida 2013-07-27 20:29:46 UTC
Great job with the back trace. That helps a great deal.
Comment 5 Kohei Yoshida 2013-07-27 20:39:11 UTC
Fixed on master. Backport requests sent: 

https://gerrit.libreoffice.org/5142 
https://gerrit.libreoffice.org/5143
Comment 6 Commit Notification 2013-07-27 20:41:15 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b96cfd6caedbad7b3b79e57421a834f18c5c511

fdo#61201: Don't forget to calculate row offset for external single ref.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-27 23:02:20 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2a94c283d6d0a82b8960e73c253ecb96c2b8140

fdo#61201: Add test for OFFSET used with external single reference.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-07-28 13:16:52 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f2d5c46e372c4337ba04f627c32bac007431eb5&h=libreoffice-4-1

fdo#61201: Don't forget to calculate row offset for external single ref.


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-07-28 13:27:04 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c8fb4f13309ffecbaa72e0108315bb917ea33064&h=libreoffice-4-0

fdo#61201: Don't forget to calculate row offset for external single ref.


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Kohei Yoshida 2013-07-28 13:33:19 UTC
Fixed.
Comment 11 mahfiaz 2013-07-28 13:45:55 UTC
Hey, many thanks for fixing this. Calc is now more stable than before.